| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
oyFilterSocket_s Struct Reference
DAG and Image processing API

A filter connection structure. More...

`#include <oyFilterSocket_s.h>`

Inheritance diagram for oyFilterSocket_s:
Collaboration diagram for oyFilterSocket_s:

## Public Member Functions
OYAPI oyFilterSocket_s *OYEXPORT | oyFilterSocket_New (oyObject_s object)
| allocate a new FilterSocket object More...
OYAPI oyFilterSocket_s *OYEXPORT | oyFilterSocket_Copy (oyFilterSocket_s *filtersocket, oyObject_s object)
| copy or reference a FilterSocket object More...
OYAPI int OYEXPORT | oyFilterSocket_Release (oyFilterSocket_s **filtersocket)
| release and possibly deallocate a oyFilterSocket_s object More...
OYAPI int OYEXPORT | oyFilterSocket_Callback (oyFilterPlug_s *c, oyCONNECTOR_EVENT_e e)
| Tell about a oyConversion_s event. More...
OYAPI int OYEXPORT | oyFilterSocket_SignalToGraph (oyFilterSocket_s *c, oyCONNECTOR_EVENT_e e)
| Send a signal through the graph. More...
OYAPI oyFilterNode_s *OYEXPORT | oyFilterSocket_GetNode (oyFilterSocket_s *socket)
| Access oyFilterSocket_s::node. More...
OYAPI oyStruct_s *OYEXPORT | oyFilterSocket_GetData (oyFilterSocket_s *socket)
| Access oyFilterSocket_s::data. More...
OYAPI int OYEXPORT | oyFilterSocket_SetData (oyFilterSocket_s *socket, oyStruct_s *data)
| Set oyFilterSocket_s::data. More...
OYAPI oyFilterPlugs_s *OYEXPORT | oyFilterSocket_GetPlugs (oyFilterSocket_s *socket)
| Access oyFilterSocket_s::requesting_plugs_. More...
OYAPI const char *OYEXPORT | oyFilterSocket_GetRelatives (oyFilterSocket_s *socket)
| get short description of belonging filter More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get a text dump More...

## Data Fields
oyStruct_Copy_f | copy
oyStruct_Release_f | release
Data Fields inherited from oyStruct_s
oyStruct_Copy_f | copy
oyStruct_Release_f | release

## Detailed Description

A filter connection structure.

The passive output version of a oyConnector_s.

Version
  Oyranos: 0.1.8

Since
  2008/07/29 (Oyranos: 0.1.8)

Date
  2008/07/29

## Member Function Documentation

OYAPI int OYEXPORT oyFilterSocket_Callback | ( | oyFilterPlug_s * | c,
|  | oyCONNECTOR_EVENT_e | e
| ) |  |

Tell about a oyConversion_s event.

Function oyFilterSocket_Callback

Parameters

  [in,out] | c | the connector
  | e | the event type

Returns
  0 on success, else error

Version
  Oyranos: 0.1.8

Since
  2008/07/28 (Oyranos: 0.1.8)

Date
  2009/02/19

References oyFilterPlug_s::oyFilterPlug_Release(), oyFilterPlugs_s::oyFilterPlugs_Count(), oyFilterPlugs_s::oyFilterPlugs_Get(), and oyFilterPlugs_s::oyFilterPlugs_ReleaseAt().

Referenced by oyFilterNode_s::oyFilterNode_Disconnect(), oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket(), and oyFilterSocket_SignalToGraph().

OYAPI oyFilterSocket_s *OYEXPORT oyFilterSocket_Copy | ( | oyFilterSocket_s * | filtersocket,
|  | oyObject_s | object
| ) |  |

copy or reference a FilterSocket object

Function oyFilterSocket_Copy

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | filtersocket | FilterSocket struct object
  | object | NULL - means reference, the optional object triggers a real copy

References oyOBJECT_FILTER_SOCKET_S.

Referenced by oyFilterNode_s::oyFilterNode_GetSocket(), and oyFilterPlug_s::oyFilterPlug_GetSocket().

OYAPI oyStruct_s *OYEXPORT oyFilterSocket_GetData | ( | oyFilterSocket_s * | socket | ) |

Access oyFilterSocket_s::data.

Function oyFilterSocket_GetData

Parameters

  [in] | socket | the socket

Returns
  the data

Version
  Oyranos: 0.5.0

Date
  2012/10/11

Since
  2012/09/23 (Oyranos: 0.5.0)

References copy, and oyOBJECT_FILTER_SOCKET_S.

Referenced by oyFilterGraph_s::oyFilterGraph_ToText().

OYAPI oyFilterNode_s *OYEXPORT oyFilterSocket_GetNode | ( | oyFilterSocket_s * | socket | ) |

Access oyFilterSocket_s::node.

Function oyFilterSocket_GetNode

Parameters

  [in] | socket | the socket

Returns
  the node

Version
  Oyranos: 0.5.0

Since
  2012/09/05 (Oyranos: 0.5.0)

Date
  2012/09/05

References oyFilterNode_s::oyFilterNode_Copy(), and oyOBJECT_FILTER_SOCKET_S.

Referenced by oyFilterPlug_s::oyFilterPlug_GetRemoteNode().

OYAPI oyFilterPlugs_s *OYEXPORT oyFilterSocket_GetPlugs | ( | oyFilterSocket_s * | socket | ) |

Access oyFilterSocket_s::requesting_plugs_.

Function oyFilterSocket_GetPlugs

Parameters

  [in] | socket | the socket

Returns
  the requesting plugs

Version
  Oyranos: 0.5.0

Since
  2012/09/05 (Oyranos: 0.5.0)

Date
  2012/09/05

References oyFilterPlugs_s::oyFilterPlugs_Copy(), and oyOBJECT_FILTER_SOCKET_S.

OYAPI const char *OYEXPORT oyFilterSocket_GetRelatives | ( | oyFilterSocket_s * | socket | ) |

get short description of belonging filter

Function oyFilterSocket_GetRelatives

Parameters

  [in] | socket | the socket

Returns
  short text

Version
  Oyranos: 0.5.0

Since
  2012/09/05 (Oyranos: 0.5.0)

Date
  2012/09/05

References oyOBJECT_FILTER_SOCKET_S.

OYAPI oyFilterSocket_s *OYEXPORT oyFilterSocket_New | ( | oyObject_s | object | ) |

allocate a new FilterSocket object

Function oyFilterSocket_New

References oyOBJECT_OBJECT_S.

Referenced by oyFilterNode_s::oyFilterNode_GetSocket().

OYAPI int OYEXPORT oyFilterSocket_Release | ( | oyFilterSocket_s ** | filtersocket | ) |

release and possibly deallocate a oyFilterSocket_s object

Function oyFilterSocket_Release

Parameters

  [in,out] | filtersocket | FilterSocket struct object

References oyOBJECT_FILTER_SOCKET_S.

Referenced by oyConversion_s::oyConversion_GetImage(), oyFilterGraph_s::oyFilterGraph_ToText(), oyFilterNode_s::oyFilterNode_ConnectorMatch(), oyFilterNode_s::oyFilterNode_Disconnect(), oyFilterNode_s::oyFilterNode_GetData(), oyFilterNode_s::oyFilterNode_SetData(), and oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket().

OYAPI int OYEXPORT oyFilterSocket_SetData | ( | oyFilterSocket_s * | socket,
|  | oyStruct_s * | data
| ) |  |

Set oyFilterSocket_s::data.

Function oyFilterSocket_SetData

Parameters

  [in] | socket | the socket
  [in] | data | the data

Returns
  error

Version
  Oyranos: 0.5.0

Since
  2012/09/25 (Oyranos: 0.5.0)

Date
  2012/09/25

References oyStruct_s::copy, and oyOBJECT_FILTER_SOCKET_S.

OYAPI int OYEXPORT oyFilterSocket_SignalToGraph | ( | oyFilterSocket_s * | c,
|  | oyCONNECTOR_EVENT_e | e
| ) |  |

Send a signal through the graph.

Function oyFilterSocket_SignalToGraph

The traversal direction is defined as from the starting node to the output.

Returns
  1 if handled or zero

Version
  Oyranos: 0.3.2

Since
  2009/10/27 (Oyranos: 0.1.10)

Date
  2011/07/10

< kind of ping

< connection established

< released the connection

< call to update image views

< new data accessors

< can not process image

< can not handle option

< can not handle profile

< can not completely process

References oyFilterNode_s::oyFilterGraph_FromNode(), oyFilterGraph_s::oyFilterGraph_Release(), oyFilterNode_s::oyFilterNode_EdgeCount(), oyFilterNode_s::oyFilterNode_GetConnectorPos(), oyFilterNode_s::oyFilterNode_GetPlug(), oyFilterNode_s::oyFilterNode_Release(), oyFilterNodes_s::oyFilterNodes_Count(), oyFilterNodes_s::oyFilterNodes_Get(), oyFilterPlug_s::oyFilterPlug_Release(), oyFilterPlugs_s::oyFilterPlugs_Count(), oyFilterPlugs_s::oyFilterPlugs_Get(), oyFilterSocket_Callback(), and oyObserver_s::oyStruct_ObserverSignal().

## Field Documentation

oyStruct_Copy_f oyFilterSocket_s::copy

copy function

Referenced by oyFilterSocket_GetData().

oyStruct_Release_f oyFilterSocket_s::release

release function

Referenced by oyFilterNode_s::oyFilterNode_SetData().